/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT (c) 2003 - 2013 SRON (R.M.van.Hees@sron.nl)

   This is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License, version 2, as
   published by the Free Software Foundation.

   The software is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, 
   Boston, MA  02111-1307, USA.

.IDENTifer   defs_arch
.AUTHOR      R.M. van Hees 
.KEYWORDS    header file
.LANGUAGE    ANSI-C
.PURPOSE     machine/architecture/operating system dependent definitions
.COMMENTS    None
.ENVIRONment None
.VERSION      1.1   31-Mar-2003	modified include for C++ code
              1.0   29-Aug-2001	taken from defs_nadc.h and swap_bytes.h, RvH 
------------------------------------------------------------*/

#ifndef  __DEFS_ARCH	                        /* Avoid redefinitions */
#define  __DEFS_ARCH

#if !defined(_SIZE_T) && !defined(_SIZE_T_)
#include <stddef.h>
#endif

#ifndef ESUCCESS
#include <errno.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

/*+++++ Machine/System Dependent Stuff +++++*/
#ifndef __GNUC__
#if defined (__alpha)
#define inline __inline
#elif defined (__hpux) || defined (__solaris) || defined (__mips)
#define inline 
#else
# define inline __inline__
#endif
#else
# define inline         __inline__  __attribute__((always_inline))
#endif

#if defined(__i386) || defined(__x86_64__) || defined(__alpha)
#define _SWAP_TO_LITTLE_ENDIAN
#undef  _SWAP_TO_BIG_ENDIAN
#else
#undef  _SWAP_TO_LITTLE_ENDIAN
#define _SWAP_TO_BIG_ENDIAN
#endif

#ifdef __cplusplus
  }
#endif
#endif   /* __DEFS_ARCH */
