#ifndef  __DEFS_SCIA_CAL                        /* Avoid redefinitions */
#define  __DEFS_SCIA_CAL

#ifdef __cplusplus
extern "C" {
#endif

#define SCIA_MEM_SCALE_OLD    ((unsigned char) 0x1U)
#define SCIA_MEM_SCALE_ATBD   ((unsigned char) 0x2U)
#define SCIA_MEM_SCALE_PATCH  ((unsigned char) 0x4U)

#define SCIA_NLIN_SCALE_OLD   ((unsigned char) 0x1U)
#define SCIA_NLIN_SCALE_ATBD  ((unsigned char) 0x2U)
#define SCIA_NLIN_SCALE_PATCH ((unsigned char) 0x4U)

struct scale_rec {
     float offs;
     float scale;
};

struct scia_memcorr {
     size_t dims[2];
     float **matrix;
};

struct scia_nlincorr {
     size_t dims[2];
     char  *curve;
     float **matrix;
};

struct scia_straycorr {
     size_t dims[2];
     float *grid_in;
     float *grid_out;
     float **matrix;
     size_t dims_ghost[2];
     float **ghosts;
};

struct file_rec {
     FILE *fp;
     char procName[ENVI_FILENAME_SIZE];
     char procStage[2];
    /* KB: Added for mfactors, agreed to switch according to start time */
     char sensing_start[MAX_UTC_STRING];
     char do_use_limb_dark[2];
     char do_pixelwise[SCIENCE_CHANNELS+1];
     char do_pol_point[NUM_FRAC_POLV];
     char do_var_lc_cha[4 * IR_CHANNELS+1];
     char do_stray_lc_cha[4 * SCIENCE_CHANNELS+1];
     bool flagInitFile;
     bool flagInitPhase;
     bool do_nonlin;
     unsigned char sdmf_version;
     unsigned char memScale;
     unsigned char nlinScale;
     int  absOrbit;
     unsigned int num_dsd;
     unsigned int calibFlag;
     float ppgError;
     float strayError;
     float alpha0_asm;
     float alpha0_esm;
     float lambda_end_gdf;
     unsigned char level_2_smr[SCIENCE_CHANNELS];
     float electron_bu[SCIENCE_CHANNELS];
     struct dsd_envi *dsd;
};

struct wvlen_rec
{
     float solar[SCIENCE_PIXELS];
     float science[SCIENCE_PIXELS];
     float error[SCIENCE_PIXELS];
};

struct DarkRec {
     float AnalogOffs[SCIENCE_PIXELS];
     float AnalogOffsError[SCIENCE_PIXELS];
     float MeanNoise[SCIENCE_PIXELS];
     float DarkCurrent[SCIENCE_PIXELS];
     float DarkCurrentError[SCIENCE_PIXELS];
};

struct RadSens_rec {
     unsigned short n_scan;
     double         **value;
};

#include <proto_scia_cal.h>

#ifdef __cplusplus
  }
#endif
#endif /* __DEFS_SCIA_CAL */
