/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT (c) 2007 - 2013 SRON (R.M.van.Hees@sron.nl)

   This is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License, version 2, as
   published by the Free Software Foundation.

   The software is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, 
   Boston, MA  02111-1307, USA.

.IDENTifer   proto_sql_nadc.h
.AUTHOR      R.M. van Hees 
.KEYWORDS    prototypes
.LANGUAGE    ANSI-C
.PURPOSE     prototypes for the Netherlands SCIAMACHY DataCenter modules

.ENVIRONment none

.VERSION     1.0     31-Jan-2007   Creation by R.M. van Hees
------------------------------------------------------------*/

#ifndef  PROTO_SQL_NADC                          /* Avoid redefinitions */
#define  PROTO_SQL_NADC

#if defined(LIBPQ_FE_H)
extern void NADC_CONNECT_DB( PGconn **conn, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, *conn@*/;

#if (defined _GOME_COMMON)
extern int GOME_LV1_WR_SQL_META( PGconn *conn, bool, const char *, 
				 const struct sph1_gome *,
				 const struct fsr1_gome * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void GOME_LV1_WR_SQL_TILE( PGconn *conn, bool, int, const char *, short,
				  const short *, const struct pcd_gome * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void GOME_LV1_DEL_ENTRY( PGconn *conn, const char *, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern int GOME_LV2_WR_SQL_META( PGconn *conn, bool, const char *, 
				 const struct sph2_gome *,
				 const struct fsr2_gome * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void GOME_LV2_WR_SQL_TILE( PGconn *conn, bool, int, const char *,
			          short, const struct ddr_gome * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void GOME_LV2_DEL_ENTRY( PGconn *conn, const char *, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif

#if (defined _SCIA_COMMON)
extern void NADC_SCIA_L1B_NAME( unsigned int, unsigned short,
				/*@out@*/ char *l1b_product )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, l1b_product@*/;
extern void SCIA_DEL_SQL_DMOP( PGconn *conn, unsigned int, 
			       const struct dmop_rec * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_WR_SQL_DMOP( PGconn *conn, unsigned int, 
			      const struct dmop_rec * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif

#if (defined _SCIA_LEVEL_0)
extern void SCIA_LV0_WR_SQL_META( PGconn *conn, bool, const char *, 
				  const struct mph_envi * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_LV0_MATCH_STATE( PGconn *conn, bool, const struct mph_envi *,
                                  unsigned short, const struct mds0_sql * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_LV0_DEL_ENTRY( PGconn *conn, bool, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif

#if (defined _SCIA_LEVEL_1)
extern void SCIA_LV1_WR_SQL_META( PGconn *conn, bool, const char *, 
				  const struct mph_envi *,
				  const struct sph1_scia * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_LV1_WR_SQL_AUX( PGconn *conn, bool, const struct mph_envi *,
				 unsigned int, const struct dsd_envi * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_LV1_MATCH_STATE( PGconn *conn, bool, const struct mph_envi *,
                                  unsigned short, const struct lads_scia *,
				  const struct sqads1_scia *,
				  const struct state1_scia * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_LV1_DEL_ENTRY( PGconn *conn, bool, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif

#if (defined _SCIA_LEVEL_2)
extern void SCIA_OL2_WR_SQL_META( PGconn *conn, bool, const char *, 
                                  const char *, const struct mph_envi *,
                                  const struct sph_sci_ol * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;

#ifdef _KNMI_SQL
extern void SCIA_OL2_WR_SQL_CLD( PGconn *conn, const char *, unsigned int,
				 const struct cld_sci_ol * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;

extern void SCIA_OL2_WR_SQL_NFIT( PGconn *conn, const char *, const char *, 
				  unsigned int, const struct nfit_scia * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#else
extern void SCIA_OL2_WR_SQL_CLD( PGconn *conn, bool, const char *, unsigned int,
                                 const struct ngeo_scia *,
				 const struct cld_sci_ol * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;

extern void SCIA_OL2_WR_SQL_NFIT( PGconn *conn, bool, const char *, 
				  const char *, 
				  unsigned int, const struct ngeo_scia *,
				  unsigned int, const struct nfit_scia * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif
extern void SCIA_OL2_MATCH_STATE( PGconn *conn, bool, const struct mph_envi *,
                                  unsigned short, const struct state2_scia * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
extern void SCIA_OL2_DEL_ENTRY( PGconn *conn, bool, const char * )
       /*@globals  errno, nadc_stat, nadc_err_stack;@*/
       /*@modifies errno, nadc_stat, nadc_err_stack, conn@*/;
#endif
#endif

#endif  /* PROTO_SQL_NADC */
