# nadc_tools.spec
%define major_version	1
%define minor_version   4.0
%define post_version    post2
%if %{post_version} == ""
%define release         0
%else
%define release         0.2
%endif

%define prefix		/usr
%define idl_dir		/usr/share/nadc_idl

Summary:	NADC software (libraries and tools) for GOME and SCIAMACHY products
Name:		nadc_tools
Version:	%{major_version}.%{minor_version}
Release:        %{release}

Group:		Scientific/DataProcessors
Copyright:	GPL
Packager:	Richard van Hees <R.M.van.Hees@sron.nl>
URL:		http://www.sron.nl/~richardh/SciaDC/
%if %{post_version} == ""
Source:	http://www.sron.nl/~richardh/SciaDC/src/%{name}-%{version}.tar.bz2
%else
Source: http://www.sron.nl/~richardh/SciaDC/src/%{name}-%{version}-%{post_version}.tar.bz2
%endif
BuildPrereq:    hdf5 >= 1.8.2, zlib >= 1.1.4
BuildPrereq:	tetex >= 1.0.7, gcc >= 3.1.1
Requires:       hdf5 >= 1.8.2
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{prefix}
Obsoletes:	nadc_progs

%description
This package contains the GOME level 1b and level 2 extractors and the 
SCIAMACHY level 0, level 1b and level 2 extractorss developed by SRON 
for the Netherlands Sciamachy data center. 

The nadc_tools package also contains files necessary for developing programs 
which use the nadc_tools libraries. 

%prep
%if %{post_version} == ""
%setup -q
%else
%setup -q -n %{name}-%{version}-%{post_version}
%endif

%build
make MYCPU=pentium4 dep
make PREFIX=%{prefix} -C IDL_NADC
make PREFIX=%{prefix} -C Docs

%install
make MYCPU=pentium4 PREFIX="$RPM_BUILD_ROOT"%{prefix} install

make MYCPU=pentium4 PREFIX="$RPM_BUILD_ROOT"%{prefix} install_devel

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && \
	rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README VERSION nadc_tools.spec
%doc Docs/Makefile Docs/How_to_Link.txt Docs/*.tex Docs/*.pdf
%{prefix}/bin/*
%{prefix}/lib/libGOME.so*
%{prefix}/lib/libHDF5_NADC.so*
%{prefix}/lib/libNADC.so*
%{prefix}/lib/libSCIA.so*
%{prefix}/lib/libIDL_NADC.so*
%{prefix}/include/*
%{idl_dir}/*

%changelog
* Fri Jun 20 2008 Richard van Hees <R.M.van.Hees@sron.nl>
- removed HDF4 support

* Wed Mar 24 2004 Richard van Hees <R.M.van.Hees@sron.nl>
- debugged the automated generation of this spec-file

* Wed Mar 16 2004 Richard van Hees <R.M.van.Hees@sron.nl>
- introduced handling of post- and pre-releases gracefully

* Wed Dec 10 2003 Richard van Hees <R.M.van.Hees@sron.nl>
- many updates, o.a. optional HDF4 support

* Wed Jan 23 2002 Richard van Hees <R.M.van.Hees@sron.nl>
- added IDL programs

* Wed May 16 2001 Richard van Hees <R.M.van.Hees@sron.nl>
- creation date
